# RSL_lassen_to_radar

### Synopsis

#include "rsl.h"
Radar *RSL_lassen_to_radar(char *infile);

### Description

Reads a LASSEN (data from Darwin Austrailia) file and returns a pointer to the structure Radar. The input file is specified by the string infile. If infile is NULL, then stdin is read. The input file may be compressed. If the data is compressed, it is passed through the GNU gunzip filter. Thus, compressed data can be any format that gzip understands.

The radar structure is, essentially, an array of Volumes. These volumes represent the reflectivity, velocity and spectrum width fields.

### Return value

Upon successful completion, lassen_to_radar returns a pointer to the structure Radar. Otherwise, NULL is returned and errno is set.

### See also

RSL_anyformat_to_radar

Author: John H. Merritt.